Index: guiframe/local_perspectives/plotting/Arc.py
===================================================================
--- guiframe/local_perspectives/plotting/Arc.py	(revision 356aea7851c1dda619149e40e61be7ef49e0fe97)
+++ guiframe/local_perspectives/plotting/Arc.py	(revision b98db8c4671a4e41c20e4315cb33c65a1a0bb272)
@@ -69,5 +69,5 @@
         if theta2 !=None:
             self.theta2= theta2
-        #print "ring update theta1 theta2", self.theta1, self.theta2
+        print "ring update theta1 theta2", math.degrees(self.theta1), math.degrees(self.theta2)
         while self.theta2 < self.theta1: self.theta2 += 2*math.pi
         npts = int((self.theta2 - self.theta1)/(math.pi/120))
Index: guiframe/local_perspectives/plotting/Edge.py
===================================================================
--- guiframe/local_perspectives/plotting/Edge.py	(revision 356aea7851c1dda619149e40e61be7ef49e0fe97)
+++ guiframe/local_perspectives/plotting/Edge.py	(revision b98db8c4671a4e41c20e4315cb33c65a1a0bb272)
@@ -71,4 +71,9 @@
         Draw the new roughness on the graph.
         """
+        if r1 !=None:
+            self.r1=r1
+        if r2!=None:
+            self.r2=r2
+        """
         self.theta_left=theta_left
         self.theta_right=theta_right
@@ -89,5 +94,6 @@
         if theta_left ==None and theta_right==None:
             self.move_stop=True
-        print "in the edge theta_right theta_left",theta_right,theta_left,self.theta
+        """
+        #print "in the edge theta_right theta_left",theta_right,theta_left,self.theta
         x1= self.r1*math.cos(self.theta)
         y1= self.r1*math.sin(self.theta)
@@ -122,16 +128,18 @@
         #print "on move theta left , theta right",self.theta_left,self.theta_right
         theta= math.atan2(y,x)
-        print "on move theta left , theta right",self.theta_left,self.theta_right,theta
-        if self.theta_left !=None:
-            if self.theta_left >= theta:
-                print "went hier"
-                self.move_stop= True
-        if self.theta_right !=None:
-            if self.theta_right <= theta:
-                self.move_stop= True
-
-        if self.move_stop:
-            self.theta= math.atan2(y,x)
-            self.has_move= True
+        """print "on move theta left , theta right",self.theta_left,self.theta_right,theta
+            if self.theta_left !=None:
+                if self.theta_left >= theta:
+                    print "went hier"
+                        self.move_stop= True
+                if self.theta_right !=None:
+                    if self.theta_right <= theta:
+                        self.move_stop= True
+           
+            self.move_stop= True
+            if self.move_stop:
+         """
+        self.theta= math.atan2(y,x)
+        self.has_move= True
             
         self.base.base.update()
Index: guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 356aea7851c1dda619149e40e61be7ef49e0fe97)
+++ guiframe/local_perspectives/plotting/SectorSlicer.py	(revision b98db8c4671a4e41c20e4315cb33c65a1a0bb272)
@@ -33,6 +33,9 @@
         theta1=math.pi/8
         theta2=math.pi/2
+        theta1=2*math.pi/3
+        theta2=-2*math.pi/3
         r1=self.qmax/2.0
         r2=self.qmax/1.8
+       
         # Inner circle
         from Arc import ArcInteractor
@@ -48,9 +51,9 @@
                                              arc1=self.inner_circle,
                                              arc2=self.outer_circle,
-                                            theta=math.pi/8)
+                                            theta=theta1)
         self.outer_radius= RadiusInteractor(self, self.base.subplot, zorder=zorder+1,
                                              arc1=self.inner_circle,
                                              arc2=self.outer_circle,
-                                            theta=math.pi/2)
+                                            theta=theta2)
         self.update()
         self._post_data()
